/*
 * Copyright (c) 2023, Cloudera, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

MERGE INTO HIVE_TABLE AS T USING (SELECT DB_NAME, TBL_NAME, LISTAGG(DISTINCT SRE_CODE) WITHIN GROUP (ORDER BY SRE_CODE) AS SRE_CODES from HIVE_SRE_RESULT WHERE CLUSTER_SCAN_EXECUTION_ID = ${clusterScanExecutionId} GROUP BY DB_NAME, TBL_NAME) S
ON T.NAME = S.DB_NAME AND T.TBL_NAME = S.TBL_NAME
WHEN MATCHED THEN
    UPDATE SET T.SRE_CODES = S.SRE_CODES;